package com.zjsgfa.project.zt.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 基础数据对象 jsaa
 * 
 * @author ruoyi
 * @date 2025-07-10
 */
@Data
public class Jsaa extends BaseEntity
{
    private static final Long serialVersionUID = 1L;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    //井型
    @Excel(name = "井型")
    private String jx;
    //井别
    private String jb;

    /** 搬迁日期 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "搬迁日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bqrq;

    /** 搬迁时间 */
//    @Excel(name = "搬迁时间")
    private String bqsj;

    /** 安装日期 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "安装日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date azrq;

    /** 安装时间 */
//    @Excel(name = "安装时间")
    private String azsj;

    /** 第一次开钻日期 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "第一次开钻日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kzrq1;

    /** 第一次开钻时间 */
//    @Excel(name = "第一次开钻时间")
    private String kzsj1;

    /** $column.columnComment */
//    @Excel(name = "第二次开钻日期")
    private Date kzrq2;

    /** $column.columnComment */
    @Excel(name = "第二次开钻时间")
    private String kzsj2;

    /** $column.columnComment */
//    @Excel(name = "第三次开钻日期")
    private Date kzrq3;

    /** $column.columnComment */
//    @Excel(name = "第三次开钻时间")
    private String kzsj3;

    /** $column.columnComment */
//    @Excel(name = "第四次开钻日期")
    private Date kzrq4;

    /** $column.columnComment */
//    @Excel(name = "第四次开钻时间")
    private String kzsj4;

    /** $column.columnComment */
//    @Excel(name = "第五次开钻日期")
    private Date kzrq5;

    /** $column.columnComment */
//    @Excel(name = "第五次开钻时间")
    private String kzsj5;

    /** $column.columnComment */
//    @Excel(name = "完钻日期")
    private Date wzrq;

    /** $column.columnComment */
//    @Excel(name = "完钻时间")
    private String wzsj;

    /** $column.columnComment */
    @Excel(name = "完井日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date wjrq;

    /** $column.columnComment */
//    @Excel(name = "完井时间")
    private String wjsj;

    /** $column.columnComment */
//    @Excel(name = "钻井周期d")
    private Double zjzq1;

    /** $column.columnComment */
//    @Excel(name = "钻井周期h")
    private Double zjzq2;
    @Excel(name = "设计井深")
    private Double sjjs;

    /** $column.columnComment */
    @Excel(name = "完井井深")
    private Double wjjs;

    /** $column.columnComment */
    @Excel(name = "建井周期")
    private Double jjzq1;

    /** $column.columnComment */
//    @Excel(name = "建井周期h")
    private Double jjzq2;

    /** $column.columnComment */
//    @Excel(name = "钻杆测试时间d")
    private Double zgcssj1;

    /** $column.columnComment */
//    @Excel(name = "钻杆测试时间h")
    private Double zgcssj2;

    /** $column.columnComment */
//    @Excel(name = "返工进尺")
    private Double fgjc;

    /** $column.columnComment */
//    @Excel(name = "取心进尺")
    private Double qxjc;

    /** $column.columnComment */
//    @Excel(name = "岩心长度")
    private Double yxcd;

    /** $column.columnComment */
//    @Excel(name = "岩心收获率")
    private Double yxshl;

    /** $column.columnComment */
//    @Excel(name = "平均单筒进尺")
    private Double pjdtjc;

    /** $column.columnComment */


    /** $column.columnComment */
//    @Excel(name = "完钻垂直井深")
    private Double wjczjs;

    /** $column.columnComment */
//    @Excel(name = "完钻层位")
    private String wzcw;

    /** $column.columnComment */
//    @Excel(name = "完井方法")
    private String wjff;

    /** $column.columnComment */
//    @Excel(name = "钻机月")
    private Double zjy;

    /** $column.columnComment */
//    @Excel(name = "钻机月速")
    private Double zjys;

    /** $column.columnComment */
//    @Excel(name = "平均机械钻速")
    private Double pjjxzs;

    /** $column.columnComment */
//    @Excel(name = "井身质量")
    private String jszl;

    /** $column.columnComment */
//    @Excel(name = "固井质量")
    private String gjzl;

    /** $column.columnComment */
//    @Excel(name = "事故次数")
    private Double sgcs;

    /** $column.columnComment */
//    @Excel(name = "直接成本")
    private Double zjcb;

    /** $column.columnComment */
//    @Excel(name = "综合成本")
    private Double zhcb;

    /** $column.columnComment */
//    @Excel(name = "每米直接成本")
    private Double mmzjcb;

    /** $column.columnComment */
//    @Excel(name = "每米综合成本")
    private Double mmzhcb;

    /** $column.columnComment */
//    @Excel(name = "油公司名称")
    private String ygsmc;

    /** $column.columnComment */
//    @Excel(name = "区块")
    private String qk;

    /** $column.columnComment */
//    @Excel(name = "特殊工艺井")
    private String tsgyj;

    /** $column.columnComment */
//    @Excel(name = "主井号")
    private String zjh;

    /** $column.columnComment */
//    @Excel(name = "分支数")
    private Double fzs;

    /** $column.columnComment */
//    @Excel(name = "第几分支")
    private Double djfz;

    /** $column.columnComment */
    @Excel(name = "所属采油厂")
    private String cyc;

    /** $column.columnComment */
//    @Excel(name = "侧钻点深")
    private Double czds;

    /** $column.columnComment */
//    @Excel(name = "设计层位")
    private String sjcw;
    //公司
    private String gs;
    //钻井编号
    private String zjbh;

    //完井开始日期
    private String wjsjks;
    //完井结束日期
    private String wjsjjs;

    //井数量
    private Integer jsl;


    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }
    public void setBqrq(Date bqrq) 
    {
        this.bqrq = bqrq;
    }

    public Date getBqrq() 
    {
        return bqrq;
    }
    public void setBqsj(String bqsj) 
    {
        this.bqsj = bqsj;
    }

    public String getBqsj() 
    {
        return bqsj;
    }
    public void setAzrq(Date azrq) 
    {
        this.azrq = azrq;
    }

    public Date getAzrq() 
    {
        return azrq;
    }
    public void setAzsj(String azsj) 
    {
        this.azsj = azsj;
    }

    public String getAzsj() 
    {
        return azsj;
    }
    public void setKzrq1(Date kzrq1) 
    {
        this.kzrq1 = kzrq1;
    }

    public Date getKzrq1() 
    {
        return kzrq1;
    }
    public void setKzsj1(String kzsj1) 
    {
        this.kzsj1 = kzsj1;
    }

    public String getKzsj1() 
    {
        return kzsj1;
    }
    public void setKzrq2(Date kzrq2) 
    {
        this.kzrq2 = kzrq2;
    }

    public Date getKzrq2() 
    {
        return kzrq2;
    }
    public void setKzsj2(String kzsj2) 
    {
        this.kzsj2 = kzsj2;
    }

    public String getKzsj2() 
    {
        return kzsj2;
    }
    public void setKzrq3(Date kzrq3) 
    {
        this.kzrq3 = kzrq3;
    }

    public Date getKzrq3() 
    {
        return kzrq3;
    }
    public void setKzsj3(String kzsj3) 
    {
        this.kzsj3 = kzsj3;
    }

    public String getKzsj3() 
    {
        return kzsj3;
    }
    public void setKzrq4(Date kzrq4) 
    {
        this.kzrq4 = kzrq4;
    }

    public Date getKzrq4() 
    {
        return kzrq4;
    }
    public void setKzsj4(String kzsj4) 
    {
        this.kzsj4 = kzsj4;
    }

    public String getKzsj4() 
    {
        return kzsj4;
    }
    public void setKzrq5(Date kzrq5) 
    {
        this.kzrq5 = kzrq5;
    }

    public Date getKzrq5() 
    {
        return kzrq5;
    }
    public void setKzsj5(String kzsj5) 
    {
        this.kzsj5 = kzsj5;
    }

    public String getKzsj5() 
    {
        return kzsj5;
    }
    public void setWzrq(Date wzrq) 
    {
        this.wzrq = wzrq;
    }

    public Date getWzrq() 
    {
        return wzrq;
    }
    public void setWzsj(String wzsj) 
    {
        this.wzsj = wzsj;
    }

    public String getWzsj() 
    {
        return wzsj;
    }
    public void setWjrq(Date wjrq) 
    {
        this.wjrq = wjrq;
    }

    public Date getWjrq() 
    {
        return wjrq;
    }
    public void setWjsj(String wjsj) 
    {
        this.wjsj = wjsj;
    }

    public String getWjsj() 
    {
        return wjsj;
    }
    public void setZjzq1(Double zjzq1) 
    {
        this.zjzq1 = zjzq1;
    }

    public Double getZjzq1() 
    {
        return zjzq1;
    }
    public void setZjzq2(Double zjzq2) 
    {
        this.zjzq2 = zjzq2;
    }

    public Double getZjzq2() 
    {
        return zjzq2;
    }
    public void setJjzq1(Double jjzq1) 
    {
        this.jjzq1 = jjzq1;
    }

    public Double getJjzq1() 
    {
        return jjzq1;
    }
    public void setJjzq2(Double jjzq2) 
    {
        this.jjzq2 = jjzq2;
    }

    public Double getJjzq2() 
    {
        return jjzq2;
    }
    public void setZgcssj1(Double zgcssj1) 
    {
        this.zgcssj1 = zgcssj1;
    }

    public Double getZgcssj1() 
    {
        return zgcssj1;
    }
    public void setZgcssj2(Double zgcssj2) 
    {
        this.zgcssj2 = zgcssj2;
    }

    public Double getZgcssj2() 
    {
        return zgcssj2;
    }
    public void setFgjc(Double fgjc) 
    {
        this.fgjc = fgjc;
    }

    public Double getFgjc() 
    {
        return fgjc;
    }
    public void setQxjc(Double qxjc) 
    {
        this.qxjc = qxjc;
    }

    public Double getQxjc() 
    {
        return qxjc;
    }
    public void setYxcd(Double yxcd) 
    {
        this.yxcd = yxcd;
    }

    public Double getYxcd() 
    {
        return yxcd;
    }
    public void setYxshl(Double yxshl) 
    {
        this.yxshl = yxshl;
    }

    public Double getYxshl() 
    {
        return yxshl;
    }
    public void setPjdtjc(Double pjdtjc) 
    {
        this.pjdtjc = pjdtjc;
    }

    public Double getPjdtjc() 
    {
        return pjdtjc;
    }
    public void setSjjs(Double sjjs) 
    {
        this.sjjs = sjjs;
    }

    public Double getSjjs() 
    {
        return sjjs;
    }
    public void setWjjs(Double wjjs) 
    {
        this.wjjs = wjjs;
    }

    public Double getWjjs() 
    {
        return wjjs;
    }
    public void setWjczjs(Double wjczjs) 
    {
        this.wjczjs = wjczjs;
    }

    public Double getWjczjs() 
    {
        return wjczjs;
    }
    public void setWzcw(String wzcw) 
    {
        this.wzcw = wzcw;
    }

    public String getWzcw() 
    {
        return wzcw;
    }
    public void setWjff(String wjff) 
    {
        this.wjff = wjff;
    }

    public String getWjff() 
    {
        return wjff;
    }
    public void setZjy(Double zjy) 
    {
        this.zjy = zjy;
    }

    public Double getZjy() 
    {
        return zjy;
    }
    public void setZjys(Double zjys) 
    {
        this.zjys = zjys;
    }

    public Double getZjys() 
    {
        return zjys;
    }
    public void setPjjxzs(Double pjjxzs) 
    {
        this.pjjxzs = pjjxzs;
    }

    public Double getPjjxzs() 
    {
        return pjjxzs;
    }
    public void setJszl(String jszl) 
    {
        this.jszl = jszl;
    }

    public String getJszl() 
    {
        return jszl;
    }
    public void setGjzl(String gjzl) 
    {
        this.gjzl = gjzl;
    }

    public String getGjzl() 
    {
        return gjzl;
    }
    public void setSgcs(Double sgcs) 
    {
        this.sgcs = sgcs;
    }

    public Double getSgcs() 
    {
        return sgcs;
    }
    public void setZjcb(Double zjcb) 
    {
        this.zjcb = zjcb;
    }

    public Double getZjcb() 
    {
        return zjcb;
    }
    public void setZhcb(Double zhcb) 
    {
        this.zhcb = zhcb;
    }

    public Double getZhcb() 
    {
        return zhcb;
    }
    public void setMmzjcb(Double mmzjcb) 
    {
        this.mmzjcb = mmzjcb;
    }

    public Double getMmzjcb() 
    {
        return mmzjcb;
    }
    public void setMmzhcb(Double mmzhcb) 
    {
        this.mmzhcb = mmzhcb;
    }

    public Double getMmzhcb() 
    {
        return mmzhcb;
    }
    public void setYgsmc(String ygsmc) 
    {
        this.ygsmc = ygsmc;
    }

    public String getYgsmc() 
    {
        return ygsmc;
    }
    public void setQk(String qk) 
    {
        this.qk = qk;
    }

    public String getQk() 
    {
        return qk;
    }
    public void setTsgyj(String tsgyj) 
    {
        this.tsgyj = tsgyj;
    }

    public String getTsgyj() 
    {
        return tsgyj;
    }
    public void setZjh(String zjh) 
    {
        this.zjh = zjh;
    }

    public String getZjh() 
    {
        return zjh;
    }
    public void setFzs(Double fzs) 
    {
        this.fzs = fzs;
    }

    public Double getFzs() 
    {
        return fzs;
    }
    public void setDjfz(Double djfz) 
    {
        this.djfz = djfz;
    }

    public Double getDjfz() 
    {
        return djfz;
    }
    public void setCyc(String cyc) 
    {
        this.cyc = cyc;
    }

    public String getCyc() 
    {
        return cyc;
    }
    public void setCzds(Double czds) 
    {
        this.czds = czds;
    }

    public Double getCzds() 
    {
        return czds;
    }
    public void setSjcw(String sjcw) 
    {
        this.sjcw = sjcw;
    }

    public String getSjcw() 
    {
        return sjcw;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("jh", getJh())
            .append("bqrq", getBqrq())
            .append("bqsj", getBqsj())
            .append("azrq", getAzrq())
            .append("azsj", getAzsj())
            .append("kzrq1", getKzrq1())
            .append("kzsj1", getKzsj1())
            .append("kzrq2", getKzrq2())
            .append("kzsj2", getKzsj2())
            .append("kzrq3", getKzrq3())
            .append("kzsj3", getKzsj3())
            .append("kzrq4", getKzrq4())
            .append("kzsj4", getKzsj4())
            .append("kzrq5", getKzrq5())
            .append("kzsj5", getKzsj5())
            .append("wzrq", getWzrq())
            .append("wzsj", getWzsj())
            .append("wjrq", getWjrq())
            .append("wjsj", getWjsj())
            .append("zjzq1", getZjzq1())
            .append("zjzq2", getZjzq2())
            .append("jjzq1", getJjzq1())
            .append("jjzq2", getJjzq2())
            .append("zgcssj1", getZgcssj1())
            .append("zgcssj2", getZgcssj2())
            .append("fgjc", getFgjc())
            .append("qxjc", getQxjc())
            .append("yxcd", getYxcd())
            .append("yxshl", getYxshl())
            .append("pjdtjc", getPjdtjc())
            .append("sjjs", getSjjs())
            .append("wjjs", getWjjs())
            .append("wjczjs", getWjczjs())
            .append("wzcw", getWzcw())
            .append("wjff", getWjff())
            .append("zjy", getZjy())
            .append("zjys", getZjys())
            .append("pjjxzs", getPjjxzs())
            .append("jszl", getJszl())
            .append("gjzl", getGjzl())
            .append("sgcs", getSgcs())
            .append("zjcb", getZjcb())
            .append("zhcb", getZhcb())
            .append("mmzjcb", getMmzjcb())
            .append("mmzhcb", getMmzhcb())
            .append("ygsmc", getYgsmc())
            .append("qk", getQk())
            .append("tsgyj", getTsgyj())
            .append("zjh", getZjh())
            .append("fzs", getFzs())
            .append("djfz", getDjfz())
            .append("cyc", getCyc())
            .append("czds", getCzds())
            .append("sjcw", getSjcw())
            .toString();
    }
}
